Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.externalApp
Class ExternalPrincipal

    java.lang.Object
      |
      +--oracle.portal.provider.v2.externalApp.ExternalPrincipal

All Implemented Interfaces:
  java.security.Principal

public class ExternalPrincipal
extends java.lang.Object
implements java.security.Principal

ExternalUser encapsulates the information necessary for an external application to authenticate a Portal user

Constructor Summary
`ExternalPrincipal(java.lang.String name, java.lang.String password, java.lang.String authMethod, java.lang.String authUrl, java.util.Map fields)` Deprecated. Use `(String, String, String, String, String, String, Map` instead.
`ExternalPrincipal(java.lang.String name, java.lang.String password, java.lang.String authMethod, java.lang.String userField, java.lang.String passField, java.lang.String authUrl, java.util.Map fields)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object another)` tests whether this object represents the same user as the passed object.
`java.lang.String` | `getAuthMethod()` Returns the external application authorisation Method
`java.lang.String` | `getAuthUrl()` Returns the external application authoriation Url
`java.lang.String` | `getField(java.lang.String name)` Returns the value of the named field
`java.util.Iterator` | `getFields()` Returns an iterator over the field names associated with the external application.
`java.lang.String` | `getName()` Returns the external application user name
`java.lang.String` | `getPassword()` Returns the external application password
`java.lang.String` | `getPasswordFieldName()` Returns name of the form field that should contain the password
`java.lang.String` | `getUserFieldName()` Returns the name of the form field that should contain the username
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns a string representation of this external application user

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExternalPrincipal

    public ExternalPrincipal(java.lang.String name,
                             java.lang.String password,
                             java.lang.String authMethod,
                             java.lang.String userField,
                             java.lang.String passField,
                             java.lang.String authUrl,
                             java.util.Map fields)

  Constructor

### ExternalPrincipal

    public ExternalPrincipal(java.lang.String name,
                             java.lang.String password,
                             java.lang.String authMethod,
                             java.lang.String authUrl,
                             java.util.Map fields)

  Deprecated. Use `(String, String, String, String, String, String, Map` instead.

  Constructor. Assumes a default user field name of `"username"` and a default password field name of `"password"`.

Method Detail

### equals

    public boolean equals(java.lang.Object another)

  tests whether this object represents the same user as the passed object. if either or both objects do not have a value for Name (ie name == null) then the objects do not represent users and therefore cannot be equal.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the portal user name's are the same (case-sensitive).

### toString

    public java.lang.String toString()

  Returns a string representation of this external application user

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this User. Currently the external application user name.

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hashcode representing this user

### getName

    public java.lang.String getName()

  Returns the external application user name

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:
    external application user name

### getPassword

    public java.lang.String getPassword()

  Returns the external application password

  Returns:
    external application password

### getUserFieldName

    public java.lang.String getUserFieldName()

  Returns the name of the form field that should contain the username

  Returns:
    name of the field containing the external application user name

### getPasswordFieldName

    public java.lang.String getPasswordFieldName()

  Returns name of the form field that should contain the password

  Returns:
    name of the field containing the external application password

### getAuthMethod

    public java.lang.String getAuthMethod()

  Returns the external application authorisation Method

  Returns:
    external application auth. method

### getAuthUrl

    public java.lang.String getAuthUrl()

  Returns the external application authoriation Url

  Returns:
    external application auth. Url

### getField

    public java.lang.String getField(java.lang.String name)

  Returns the value of the named field

  Returns:
    value associated with the named field

### getFields

    public java.util.Iterator getFields()

  Returns an iterator over the field names associated with the external application.

  Returns:
    an iterator over the field names

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.